org.yaml.snakeyaml.constructor

## Class SafeConstructor

- java.lang.Object
- - org.yaml.snakeyaml.constructor.BaseConstructor
  - - org.yaml.snakeyaml.constructor.SafeConstructor

Direct Known Subclasses:
  Constructor

    public class SafeConstructor
    extends BaseConstructor

Construct standard Java classes

### Nested Class Summary

Nested Classes
`static class` `SafeConstructor.ConstructUndefined`
`class` `SafeConstructor.ConstructYamlBinary`
`class` `SafeConstructor.ConstructYamlBool`
`class` `SafeConstructor.ConstructYamlFloat`
`class` `SafeConstructor.ConstructYamlInt`
`class` `SafeConstructor.ConstructYamlMap`
`class` `SafeConstructor.ConstructYamlNull`
`class` `SafeConstructor.ConstructYamlOmap`
`class` `SafeConstructor.ConstructYamlPairs`
`class` `SafeConstructor.ConstructYamlSeq`
`class` `SafeConstructor.ConstructYamlSet`
`class` `SafeConstructor.ConstructYamlStr`
`static class` `SafeConstructor.ConstructYamlTimestamp`

### Field Summary

Fields
`static SafeConstructor.ConstructUndefined` `undefinedConstructor`

### Fields inherited from class org.yaml.snakeyaml.constructor.BaseConstructor

`composer, loadingConfig, rootTag, typeDefinitions, typeTags, yamlClassConstructors, yamlConstructors, yamlMultiConstructors`

### Constructor Summary

Constructors
Constructor and Description
`SafeConstructor()`
`SafeConstructor(LoaderOptions loadingConfig)`

### Method Summary

Methods
`protected void` `constructMapping2ndStep(MappingNode node, Map<Object,Object> mapping)`
`protected void` `constructSet2ndStep(MappingNode node, Set<Object> set)`
`protected static Number` `createLongOrBigInteger(String number, int radix)`
`protected void` `flattenMapping(MappingNode node)`
`protected void` `processDuplicateKeys(MappingNode node)`

### Methods inherited from class org.yaml.snakeyaml.constructor.BaseConstructor

`addTypeDescription, checkData, constructArray, constructArrayStep2, constructDocument, constructMapping, constructObject, constructObjectNoCheck, constructScalar, constructSequence, constructSequenceStep2, constructSet, constructSet, createArray, createDefaultList, createDefaultMap, createDefaultSet, finalizeConstruction, getConstructor, getData, getPropertyUtils, getSingleData, isAllowDuplicateKeys, isEnumCaseSensitive, isExplicitPropertyUtils, isWrappedToRootException, newInstance, newInstance, newInstance, newList, newMap, newSet, postponeMapFilling, postponeSetFilling, setAllowDuplicateKeys, setComposer, setEnumCaseSensitive, setPropertyUtils, setWrappedToRootException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### undefinedConstructor

    public static final SafeConstructor.ConstructUndefined undefinedConstructor

### Constructor Detail

#### SafeConstructor

    public SafeConstructor()

#### SafeConstructor

    public SafeConstructor(LoaderOptions loadingConfig)

### Method Detail

#### flattenMapping

    protected void flattenMapping(MappingNode node)

#### processDuplicateKeys

    protected void processDuplicateKeys(MappingNode node)

#### constructMapping2ndStep

    protected void constructMapping2ndStep(MappingNode node,
                               Map<Object,Object> mapping)

Overrides:
  `constructMapping2ndStep` in class `BaseConstructor`

#### constructSet2ndStep

    protected void constructSet2ndStep(MappingNode node,
                           Set<Object> set)

Overrides:
  `constructSet2ndStep` in class `BaseConstructor`

#### createLongOrBigInteger

    protected static Number createLongOrBigInteger(String number,
                                int radix)